mapZones {oce} | R Documentation

## Plot zones on an existing map [DEPRECATED]

### Description

Plot zones (lines of constant longitude) on a existing map. DEPRECATED–will be removed by end Sept 2014

### Usage

    mapZones(longitude, polarCircle=0, lty='solid', lwd=0.5*par('lwd'), col='darkgray', ...)

### Arguments

`longitude` | either a boolean indicating whether to draw a zonal grid, or a vector of longitudes at which to draw zones.
`polarCircle` | a number indicating the number of degrees of latitude extending from the poles, within which zones are not drawn.
`lty` | line type
`lwd` | line width
`col` | colour
`...` | optional arguments passed to `lines`.

### Details

Zones that will not fit in the plotting space are ignored.

### Bugs

This should use `approx` to fill in multiple segments within the line, so that e.g. great circle lines will be curved.

### Author(s)

Dan Kelley

### See Also

See `mapPlot` for general information on plotting maps, including other functions.

### Examples

    ## Not run:
    library(oce)
    data(coastlineWorld)
    longitude <- coastlineWorld[['longitude']]
    latitude <- coastlineWorld[['latitude']]
    mapPlot(longitude, latitude, type='l', grid=FALSE,
    longitudelim=c(-80,10), latitudelim=c(0,120),
    projection="orthographic", orientation=c(45,-100,0))
    mapZones()

    ## End(Not run)

[Package oce version 0.9-18 Index]